Authorization
bearerAuth AuthorizationBearer <token>
API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>
In: header
Query Parameters
limit?integer
offset?integer
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/ai/settings/provider-profiles"{ "data": [ { "id": "string", "deployment_id": "string", "provider": "gemini", "name": "string", "slug": "string", "api_key_set": true, "base_url": "string", "organization": "string", "project": "string", "default_model": "string", "enabled": true, "disable_prompt_caching": true, "disable_reasoning_effort": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "total": 0, "offset": 0, "limit": 0}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}